#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-Client-DNS
Summary:	POE component for non-blocking/concurrent DNS queries
Summary(pl.UTF-8):	Komponent POE do wykonywania nieblokujących/równoczesnych zapytań DNS
Name:		perl-POE-Component-Client-DNS
Version:	1.051
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/POE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ba9bb11cd097b2348ee3d14de3ab432a
URL:		http://search.cpan.org/dist/POE-Component-Client-DNS/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Net-DNS >= 0.53
BuildRequires:	perl-POE >= 1:0.3100
%endif
Requires:	perl-POE >= 1:0.3100
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Component::Client::DNS is a wrapper for non-blocking Net::DNS.
It lets other tasks to run while something is waiting for a nameserver
to respond, and it lets several DNS queries run in parallel.

%description -l pl.UTF-8
POE::Component::Client::DNS to interfejs do nieblokującej klasy
Net::DNS. Pozwala na wykonywanie innych zadań podczas gdy coś czeka na
odpowiedź serwera nazw, a także pozwala na równoległe wykonywanie
kilku zapytań DNS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/POE/Component/Client/*.pm
%{_mandir}/man3/*
%changelog
* Sat Apr 14 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-POE-Component-Client-DNS.git;a=log;h=f870233b0605883ca9a0db0bb71d653d0fcc6fad

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> f870233
- up to 1.051

* Fri Sep 18 2009 amateja <amateja@pld-linux.org> 860f78e
- updated to 1.050

* Thu Nov 27 2008 Maciej Pijanka <agaran@pld-linux.org> bf08d63
- up to 1.01, builds here

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 007354e
- generic URL

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 988c97c
- up to 1.00, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e00ba67
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5fc3264
- converted to UTF-8

* Fri Oct 27 2006 ankry <ankry@pld-linux.org> 561c595
- ver. 0.99, epoch 1

* Mon Dec 05 2005 Paweł Cyranek <pawel.cyranek@gmail.com> eacc06b
- updated to 0.9802

* Wed Dec 01 2004 radek <radek@pld-linux.org> d10ba72
- autoupdated to 0.98

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6ca3c49
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 3e35d39
- fixed perl-devel BR

* Fri Apr 23 2004 Maciej Pijanka <agaran@pld-linux.org> 48f970d
- new bconds

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 859ed21
- updated to 0.97

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> cbeacf2
- spaces -> tab

* Wed Aug 27 2003 Jakub Bogusz <qboosh@pld-linux.org> 4c19f28
- pl

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> c1cf848
- fixed changelog trailer

* Tue Aug 19 2003 radek <radek@pld-linux.org> 75c9ec6
- added forgotten Source0-md5

* Tue Aug 19 2003 radek <radek@pld-linux.org> a894520
- new

